Skip to content

Retrieve a status report for a Gateway

Request

Admin roles:
  • access_admin

Retrieve a status report for the specified Gateway

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

gateway_idstringrequired

The UUID of the Gateway

GET
/v1/teams/{team_name}/gateways/{gateway_id}/status
curl -i -X GET \
  'https://app.scaleft.com/v1/teams/{team_name}/gateways/{gateway_id}/status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
active_connectionsinteger, (int32), <= 2147483647required

The number of Clients actively connected to the Gateway

gateway_idstring or null, [ 1 .. 255 ] charactersread-only

The ID of the Gateway ID

statusstring or null, <= 255 characters

The status of the Gateway

total_storage_bytesinteger, (int64), <= 9223372036854776000required

The total amount in bytes of storage space available for use by the Gateway

used_storage_bytesinteger, (int64), <= 9223372036854776000required

The amount in bytes of storage space used by the Gateway

Response
{ "active_connections": 2, "gateway_id": "7d6dbd30-d32f-4a7a-94d2-31e95747d460", "status": "ONLINE", "total_storage_bytes": 4096, "updated_at": "0001-01-01T00:00:00Z", "used_storage_bytes": 2048 }